      subroutine setdash(i)
c
c Set the line dash on or off.
c on  = 1
c off = 0
c 
c James Blake
c @(#)setdash.f	1.1  4/3/89 
c
      include 'device_type.h'
c
      if (color_ws .or. mono_ws) then
         if (i .eq. 1) then
            call cflntype(2)
            call cfperimtype(2)
         else
            call cflntype(0)
            call cfperimtype(0)
         endif
      elseif (PostScript) then
         if (i .eq. 1) then
            call plsout("[15 15] 0 setdash\n")
         else
            call plsout("[] 0 setdash\n")
         endif
      endif
      return
      end 
